(function($) {

  Drupal.behaviors.cookieCompliance = {
    attach: function(context) {
      $('body', context).once('cookiecomp', function() {
        window.cookieconsent.initialise(json);
      });
    }
  };

}(jQuery));
;
(function ($) {
  
  Drupal.behaviors.cc_sociallinks = {
    attach: function (context, settings) {
      var API_URL = "http://cdn.api.twitter.com/1/urls/count.json",
        TWEET_URL = "https://twitter.com/intent/tweet",
        FBAPI_URL = "http://graph.facebook.com/",
        INSHARE_URL = "http://www.linkedin.com/shareArticle",
        INAPI_URL = "http://www.linkedin.com/countserv/count/share";

     
      $(".tweet").each(function() {
        var elem = $(this),
        // Use current page URL as default link
        url = encodeURIComponent(elem.attr("data-url") || document.location.href),
        // Use page title as default tweet message
        text = encodeURIComponent(elem.attr("data-text") || document.title),
        via = encodeURIComponent(elem.attr("data-via") || ""),
        related = encodeURIComponent(elem.attr("data-related")) || "",
        hashtags = encodeURIComponent(elem.attr("data-hashtags")) || "";
     
        // Set href to tweet page
        elem.attr({
            href: TWEET_URL + "?hashtags=" + hashtags + "&original_referer=" +
                    encodeURIComponent(document.location.href) + "&related=" + related +
                    "&source=tweetbutton&text=" + text + "&url=" + url + "&via=" + via,
            target: "_blank"
        });
     
        // Get count and set it as the inner HTML of .count
        $.getJSON(API_URL + "?callback=?&url=" + url, function(data) {
            elem.find(".count").html(data.count);
        });
      });
      
      $(".fbcshare").each(function() {
      var fbcelem = $(this);
        // see if there is a parameter for the target url. If so, use it, if not, set the current url as the target
        // first we need to get the raw value for the json function
        fbrawurl = typeof fbcelem.attr("data-url") !== 'undefined' ? fbcelem.attr("data-url") : document.location.href;
        fburl = encodeURIComponent(fbcelem.attr("data-url") || document.location.href),
        // Set href to share page
        fbcelem.attr({
            href: "http://www.facebook.com/sharer/sharer.php?u=" + fburl,
            target: "_blank"
        });
        
        // Get count and set it as the inner HTML of .count
        $.getJSON(FBAPI_URL + fbrawurl, function(data) {
          var shares = (typeof(data.shares) != "undefined" && data.shares !== null) ? data.shares : "0";
          fbcelem.find(".count").html(shares);
        });
      });
      
      $(".incshare").each(function() {
        var incelem = $(this);
        // Use current page URL as default link
        incrawurl = typeof incelem.attr("data-url") !== 'undefined' ? incelem.attr("data-url") : document.location.href;
        incurl = encodeURIComponent(incelem.attr("data-url") || document.location.href),
        // Use page title as default tweet message
        inctext = encodeURIComponent(incelem.attr("data-text") || document.title),
        incvia = encodeURIComponent(incelem.attr("data-via") || "");
        
        // Set href to share page
      incelem.attr({
          href: INSHARE_URL + "?mini=true&url=" + incrawurl + "&title=" + inctext + "&source=" + incvia,
          target: "_blank"
      });
      
      // Get count and set it as the inner HTML of .count
        $.getJSON(INAPI_URL + "?url=" + incrawurl + "&format=jsonp&callback=?", function(data) {
            incelem.find(".count").html(data.count);
        });
      });
    }
  };
  
})(jQuery);
;
(function ($) {
  Drupal.behaviors.fitvids = {
    attach: function (context, settings) {
      try
      {
        // Check that fitvids exists
        if (typeof $.fn.fitVids !== 'undefined') {
        
          // Check that the settings object exists
          if (typeof settings.fitvids !== 'undefined') {
            
            // Default settings values
            var selectors = ['body'];
            var simplifymarkup = true;
            var custom_domains = [];
            
            // Get settings for this behaviour
            if (typeof settings.fitvids.selectors !== 'undefined') {
              selectors = settings.fitvids.selectors;
            }
            if (typeof settings.fitvids.simplifymarkup !== 'undefined') {
              simplifymarkup = settings.fitvids.simplifymarkup;
            }
            if (typeof settings.fitvids.custom_domains !== 'undefined') {
              custom_domains = settings.fitvids.custom_domains;
            }
                
            // Remove media wrappers
            if (simplifymarkup) {
              if ($(".media-youtube-outer-wrapper").length) {
                $(".media-youtube-outer-wrapper").removeAttr("style");
                $(".media-youtube-preview-wrapper").removeAttr("style");
                $(".media-youtube-outer-wrapper").removeClass("media-youtube-outer-wrapper");
                $(".media-youtube-preview-wrapper").removeClass("media-youtube-preview-wrapper");
              }
              if ($(".media-vimeo-outer-wrapper").length) {
                $(".media-vimeo-outer-wrapper").removeAttr("style");
                $(".media-vimeo-preview-wrapper").removeAttr("style");
                $(".media-vimeo-outer-wrapper").removeClass("media-vimeo-outer-wrapper");
                $(".media-vimeo-preview-wrapper").removeClass("media-vimeo-preview-wrapper");
              }
            }
            
            // Fitvids!
            for (var x = 0; x < selectors.length; x ++) {
              $(selectors[x]).fitVids({customSelector: custom_domains});
            }
          }
        }
      }
      catch (e) {
        // catch any fitvids errors
        window.console && console.warn('Fitvids stopped with the following exception');
        window.console && console.error(e);
      }
    }
  };
}(jQuery));
;
/**
 * @file
 * Selects all tables and adds responsive class.
 *
 * @todo Make drupal admin page to enter specific table ID's and classes.
 */

jQuery(document).ready(function($) {

$("table").addClass("responsive");

  var switched = false;
  var updateTables = function() {
    if (($(window).width() < 767) && !switched){
      switched = true;
      $("table.responsive").each(function(i, element) {
        splitTable($(element));
      });
      return true;
    }
    else if (switched && ($(window).width() > 767)) {
      switched = false;
      $("table.responsive").each(function(i, element) {
        unsplitTable($(element));
      });
    }
  };

  jQuery(window).load(updateTables);
  jQuery(window).bind("redraw",function(){switched = false;updateTables();});
  jQuery(window).bind("resize", updateTables);

function splitTable(original)
  {
  original.wrap("<div class='table-wrapper' />");

  var copy = original.clone();
  copy.find("td:not(:first-child), th:not(:first-child)").css("display", "none");
  copy.removeClass("responsive");

  original.closest(".table-wrapper").append(copy);
  copy.wrap("<div class='pinned' />");
  original.wrap("<div class='scrollable' />");

  setCellHeights(original, copy);
  }

  function unsplitTable(original) {
  original.closest(".table-wrapper").find(".pinned").remove();
  original.unwrap();
  original.unwrap();
  }

function setCellHeights(original, copy) {
  var tr = original.find('tr'),
    tr_copy = copy.find('tr'),
    heights = [];

  tr.each(function (index) {
    var self = $(this),
    tx = self.find('th, td');

  tx.each(function () {
    var height = $(this).outerHeight(true);
    heights[index] = heights[index] || 0;
    if (height > heights[index]) {
      heights[index] = height;
    }
    });
  });

  tr_copy.each(function (index) {
    $(this).height(heights[index]);
  });
}

});
;
